Subject: bug#71841: Let guix-deploy take the --expression argument

From: Richard Sent <[email-masked]>
Date: Sat, 29 Jun 2024 17:03:53 -0400

Hi Guix!

Unlike $ guix system, $ guix home, and $ guix build, $ guix deploy does
not have a --expression argument to retrieve a list of machines to
deploy from a expression. For consistency and to improve user
flexibility (no need to clone+pull a tracked channel) we should support
that option.

-- 
Take it easy,
Richard Sent
Making my computer weirder one commit at a time.